activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Bertram <jbert...@redhat.com>
Subject Re: [Artemis] Invalid keys during XA Recovery from HornetQ client
Date Mon, 27 Nov 2017 14:06:31 GMT
The "connectionParameters" in your RA config should use camel case rather
than dashes.  For example "ssl-enabled" should be "sslEnabled", etc.  That
will probably fix your SSL issue.

I wouldn't expect the admin object to work as I don't believe the Artemis
RA supports admin objects.

The best way to see if you can build the RA for Java 7 is just to try it.
I've looked several times and I've never found a way to statically analyze
a file, package, module, project, etc. to see what Java version it is
actually compatible with and why.


Justin

On Mon, Nov 27, 2017 at 7:14 AM, Benjamin Buehlmann <
benjamin.buehlmann@gmail.com> wrote:

> Any opinions about the last question if it's possible to build the Artemis
> Resource Adapter for Java 7 based clients like EAPs < 6.3.3?
>
>
>
> --
> Sent from: http://activemq.2283324.n4.nabble.com/ActiveMQ-User-
> f2341805.html
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message